import { FC } from 'react';

import HuCardContainer from '@material-hu/components/design-system/CardContainer';

import { useLokaliseTranslation } from 'src/utils/i18n';

import { FormCheckbox } from 'src/components/FormInputs';

export const SkipApproval: FC = () => {
  const { t } = useLokaliseTranslation('time_off');
  return (
    <HuCardContainer
      sx={{ mt: 2 }}
      fullWidth
      color="grey"
    >
      <FormCheckbox
        name="skipApproval"
        label={t('SKIP_APPROVAL')}
      />
    </HuCardContainer>
  );
};

export default SkipApproval;
